Name: bitcoin
Version: 0.3.21
Release: alt1

Summary: peer-to-peer network based anonymous digital currency
License: MIT
Group: Networking/Other

Url: http://www.bitcoin.org/
Source: %name-%version.tar

BuildRequires: zlib-devel boost-devel libssl-devel gcc-c++ libdb4-devel libdb4_cxx-devel
BuildRequires: boost-filesystem-devel boost-interprocess-devel boost-program_options-devel
BuildRequires: libgtk+2-devel libwxGTK2.9-devel boost-asio-devel

%description
Q. What is Bitcoin?
A. Bitcoin is a peer-to-peer currency. Peer-to-peer means that no
central authority issues new money or tracks transactions. These tasks
are managed collectively by the network.

Q. How does Bitcoin work?
A. Bitcoin utilises public-key cryptography. A coin contains the owner's
public key. When a coin is transferred from user A to user B, A adds B's
public key to the coin, and the coin is signed using A's private key. B
now owns the coin and can transfer it further. A is prevented from
transferring the already spent coin to other users because a public list
of all previous transactions is collectively maintained by the network.
Before each transaction the coin's validity will be checked.

%prep
%setup

%build
%make_build -f makefile.unix

%install
install -pDm0755 %name %buildroot%_bindir/%name

%files
%_bindir/*
%doc README.md

%changelog
* Wed May 04 2011 Vladimir V. Kamarzin <vvk@altlinux.org> 0.3.21-alt1
- Initial build for Sisyphus.

